gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.PageSetupUnixDialog

Contents

- Exported types
- Methods
  - getPageSetup
  - getPrintSettings
  - new
  - setPageSetup
  - setPrintSettings

Description

Presents a page setup dialog for platforms which don’t provide a native page setup dialog, like Unix.

<picture> <source srcset="pagesetupdialog-dark.png" media="(prefers-color-scheme: dark)"> <img alt="An example GtkPageSetupUnixDialog" src="pagesetupdialog.png"> </picture>

It can be used very much like any other GTK dialog, at the cost of the portability offered by the high-level printing API in `PrintOperation`.

## CSS nodes

`GtkPageSetupUnixDialog` has a single CSS node with the name `window` and style class `.pagesetup`.

Synopsis

- newtype PageSetupUnixDialog = PageSetupUnixDialog (ManagedPtr PageSetupUnixDialog)
- class (GObject o, IsDescendantOf PageSetupUnixDialog o) => IsPageSetupUnixDialog o
- toPageSetupUnixDialog :: (MonadIO m, IsPageSetupUnixDialog o) => o -> m PageSetupUnixDialog
- pageSetupUnixDialogGetPageSetup :: (HasCallStack, MonadIO m, IsPageSetupUnixDialog a) => a -> m PageSetup
- pageSetupUnixDialogGetPrintSettings :: (HasCallStack, MonadIO m, IsPageSetupUnixDialog a) => a -> m (Maybe PrintSettings)
- pageSetupUnixDialogNew :: (HasCallStack, MonadIO m, IsWindow a) => Maybe Text -> Maybe a -> m PageSetupUnixDialog
- pageSetupUnixDialogSetPageSetup :: (HasCallStack, MonadIO m, IsPageSetupUnixDialog a, IsPageSetup b) => a -> b -> m ()
- pageSetupUnixDialogSetPrintSettings :: (HasCallStack, MonadIO m, IsPageSetupUnixDialog a, IsPrintSettings b) => a -> Maybe b -> m ()

# Exported types

newtype PageSetupUnixDialog Source #

Memory-managed wrapper type.

Constructors

PageSetupUnixDialog (ManagedPtr PageSetupUnixDialog) |

#### Instances

Instances details

Eq PageSetupUnixDialog Source # |
Instance details Defined in GI.Gtk.Objects.PageSetupUnixDialog Methods (==) :: PageSetupUnixDialog -> PageSetupUnixDialog -> Bool Source # (/=) :: PageSetupUnixDialog -> PageSetupUnixDialog -> Bool Source #
GObject PageSetupUnixDialog Source # |
Instance details Defined in GI.Gtk.Objects.PageSetupUnixDialog
ManagedPtrNewtype PageSetupUnixDialog Source # |
Instance details Defined in GI.Gtk.Objects.PageSetupUnixDialog Methods toManagedPtr :: PageSetupUnixDialog -> ManagedPtr PageSetupUnixDialog Source #
TypedObject PageSetupUnixDialog Source # |
Instance details Defined in GI.Gtk.Objects.PageSetupUnixDialog Methods glibType :: IO GType Source #
HasParentTypes PageSetupUnixDialog Source # |
Instance details Defined in GI.Gtk.Objects.PageSetupUnixDialog
IsGValue (Maybe PageSetupUnixDialog) Source # | Convert `PageSetupUnixDialog` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.PageSetupUnixDialog Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PageSetupUnixDialog -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PageSetupUnixDialog) Source #
type ParentTypes PageSetupUnixDialog Source # |
Instance details Defined in GI.Gtk.Objects.PageSetupUnixDialog type ParentTypes PageSetupUnixDialog = '[Dialog, Window, Widget, Object, Accessible, Buildable, ConstraintTarget, Native, Root, ShortcutManager]

class (GObject o, IsDescendantOf PageSetupUnixDialog o) => IsPageSetupUnixDialog o Source #

Type class for types which can be safely cast to `PageSetupUnixDialog`, for instance with `toPageSetupUnixDialog`.

#### Instances

Instances details

(GObject o, IsDescendantOf PageSetupUnixDialog o) => IsPageSetupUnixDialog o Source # |
Instance details Defined in GI.Gtk.Objects.PageSetupUnixDialog

toPageSetupUnixDialog :: (MonadIO m, IsPageSetupUnixDialog o) => o -> m PageSetupUnixDialog Source #

Cast to `PageSetupUnixDialog`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

actionSetEnabled, activate, activateAction, activateDefault, addActionWidget, addButton, addController, addCssClass, addMnemonicLabel, addTickCallback, allocate, announce, bindProperty, bindPropertyFull, childFocus, close, computeBounds, computeExpand, computePoint, computeTransform, contains, createPangoContext, createPangoLayout, destroy, disposeTemplate, dragCheckThreshold, errorBell, forceFloating, freezeNotify, fullscreen, fullscreenOnMonitor, getv, grabFocus, hasCssClass, hasDefault, hasFocus, hasGroup, hasVisibleFocus, hide, inDestruction, initTemplate, insertActionGroup, insertAfter, insertBefore, isActive, isAncestor, isDrawable, isFloating, isFocus, isFullscreen, isMaximized, isSensitive, isSuspended, isVisible, keynavFailed, listMnemonicLabels, map, maximize, measure, minimize, mnemonicActivate, notify, notifyByPspec, observeChildren, observeControllers, pick, present, presentWithTime, queueAllocate, queueDraw, queueResize, realize, ref, refSink, removeController, removeCssClass, removeMnemonicLabel, removeTickCallback, resetProperty, resetRelation, resetState, response, runDispose, shouldLayout, show, sizeAllocate, snapshotChild, stealData, stealQdata, thawNotify, translateCoordinates, triggerTooltipQuery, unfullscreen, unmap, unmaximize, unminimize, unparent, unrealize, unref, unsetStateFlags, updateNextAccessibleSibling, updatePlatformState, updateProperty, updateRelation, updateState, watchClosure.

#### Getters

getAccessibleId, getAccessibleParent, getAccessibleRole, getAllocatedBaseline, getAllocatedHeight, getAllocatedWidth, getAllocation, getAncestor, getApplication, getAtContext, getBaseline, getBounds, getBuildableId, getCanFocus, getCanTarget, getChild, getChildVisible, getClipboard, getColor, getContentArea, getCssClasses, getCssName, getCursor, getData, getDecorated, getDefaultSize, getDefaultWidget, getDeletable, getDestroyWithParent, getDirection, getDisplay, getFirstAccessibleChild, getFirstChild, getFocus, getFocusChild, getFocusOnClick, getFocusVisible, getFocusable, getFontMap, getFontOptions, getFrameClock, getGravity, getGroup, getHalign, getHandleMenubarAccel, getHasTooltip, getHeaderBar, getHeight, getHexpand, getHexpandSet, getHideOnClose, getIconName, getLastChild, getLayoutManager, getLimitEvents, getMapped, getMarginBottom, getMarginEnd, getMarginStart, getMarginTop, getMnemonicsVisible, getModal, getName, getNative, getNextAccessibleSibling, getNextSibling, getOpacity, getOverflow, getPageSetup, getPangoContext, getParent, getPlatformState, getPreferredSize, getPrevSibling, getPrimaryClipboard, getPrintSettings, getProperty, getQdata, getRealized, getReceivesDefault, getRenderer, getRequestMode, getResizable, getResponseForWidget, getRoot, getScaleFactor, getSensitive, getSettings, getSize, getSizeRequest, getStateFlags, getStyleContext, getSurface, getSurfaceTransform, getTemplateChild, getTitle, getTitlebar, getTooltipMarkup, getTooltipText, getTransientFor, getValign, getVexpand, getVexpandSet, getVisible, getWidgetForResponse, getWidth.

#### Setters

setAccessibleParent, setApplication, setCanFocus, setCanTarget, setChild, setChildVisible, setCssClasses, setCursor, setCursorFromName, setData, setDataFull, setDecorated, setDefaultResponse, setDefaultSize, setDefaultWidget, setDeletable, setDestroyWithParent, setDirection, setDisplay, setFocus, setFocusChild, setFocusOnClick, setFocusVisible, setFocusable, setFontMap, setFontOptions, setGravity, setHalign, setHandleMenubarAccel, setHasTooltip, setHexpand, setHexpandSet, setHideOnClose, setIconName, setLayoutManager, setLimitEvents, setMarginBottom, setMarginEnd, setMarginStart, setMarginTop, setMnemonicsVisible, setModal, setName, setOpacity, setOverflow, setPageSetup, setParent, setPrintSettings, setProperty, setReceivesDefault, setResizable, setResponseSensitive, setSensitive, setSizeRequest, setStartupId, setStateFlags, setTitle, setTitlebar, setTooltipMarkup, setTooltipText, setTransientFor, setValign, setVexpand, setVexpandSet, setVisible.

## getPageSetup

pageSetupUnixDialogGetPageSetup Source #

Arguments

:: (HasCallStack, MonadIO m, IsPageSetupUnixDialog a) |
=> a | `dialog`: a `GtkPageSetupUnixDialog`
-> m PageSetup | Returns: the current page setup

Gets the currently selected page setup from the dialog.

## getPrintSettings

pageSetupUnixDialogGetPrintSettings Source #

Arguments

:: (HasCallStack, MonadIO m, IsPageSetupUnixDialog a) |
=> a | `dialog`: a `GtkPageSetupUnixDialog`
-> m (Maybe PrintSettings) | Returns: the current print settings

Gets the current print settings from the dialog.

## new

pageSetupUnixDialogNew Source #

Arguments

:: (HasCallStack, MonadIO m, IsWindow a) |
=> Maybe Text | `title`: the title of the dialog
-> Maybe a | `parent`: transient parent of the dialog
-> m PageSetupUnixDialog | Returns: the new `GtkPageSetupUnixDialog`

Creates a new page setup dialog.

## setPageSetup

pageSetupUnixDialogSetPageSetup Source #

Arguments

:: (HasCallStack, MonadIO m, IsPageSetupUnixDialog a, IsPageSetup b) |
=> a | `dialog`: a `GtkPageSetupUnixDialog`
-> b | `pageSetup`: a `GtkPageSetup`
-> m () |

Sets the `GtkPageSetup` from which the page setup dialog takes its values.

## setPrintSettings

pageSetupUnixDialogSetPrintSettings Source #

Arguments

:: (HasCallStack, MonadIO m, IsPageSetupUnixDialog a, IsPrintSettings b) |
=> a | `dialog`: a `GtkPageSetupUnixDialog`
-> Maybe b | `printSettings`: a `GtkPrintSettings`
-> m () |

Sets the `GtkPrintSettings` from which the page setup dialog takes its values.